
Redmine - Defect #14151

Grammer problem with German x_days

2013-05-26 15:11 - Filou Centrinov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 3.0.0   

Resolution:  Affected version:  

Description

There is a grammer problem for the german translation with label "x_days:other:" used in the admin settings

(app/views/settings/_authentication.html.erb). Correct would be "{count} Tage", not  "{count} Tagen".

The translation would be like here: https://github.com/svenfuchs/rails-i18n/blob/master/rails/locale/de.yml#LC81

The problem is that in other context the actutal translation would be correct. So for example "Von NAME vor etwa 3 Tagen

aktualisiert" (Updated by NAME about 3 days ago) is correct.

Related issues:

Related to Redmine - Patch #14148: Double translation: label_f_hours vs. x_hours Reopened

Associated revisions

Revision 11907 - 2013-05-30 09:41 - Toshi MARUYAMA

German "x_days" translation changed by Filou Centrinov (#14151)

Revision 11910 - 2013-05-30 14:04 - Toshi MARUYAMA

back out r11907 (#14151)

German "x_days" translation changed by Filou Centrinov.

Revision 13581 - 2014-11-11 00:14 - Toshi MARUYAMA

German "label_roadmap_overdue" and "setting_autologin" translation changed by Jan from Planio www.plan.io (#14151)

History

#1 - 2013-05-30 09:40 - Toshi MARUYAMA

- Subject changed from Grammer problem with x_days to Grammer problem with German x_days

- Target version set to 2.4.0

#2 - 2013-05-30 13:06 - Filou Centrinov

Hello Toshi,

your patch is not a solution of the problem.

On one hand, when we have a list of days, like in the administration settings, it should be "1 Tag, 2 Tage, 3 Tage, ..." in lists. But on the other hand

"Von .. vor etwa 3 Tagen aktualisiert" (Updated by .. about 3 days ago) is correct, too.

As long we have no complete solution I would keep Tagen, because "Von .. vor etwa 3 Tagen aktualisiert" is used is issues and viewed quite often.

#3 - 2013-05-30 13:15 - Filou Centrinov

This problem is related with #14148, because we need an additional label to solve this issue. This label would be something like "label_f_days" we

use for lists or no phrases.

#4 - 2013-05-30 13:57 - Toshi MARUYAMA

- Target version deleted (2.4.0)

#5 - 2014-11-04 13:14 - Jan from Planio www.plan.io

- File 14151.diff added

2025-07-11 1/2

https://github.com/svenfuchs/rails-i18n/blob/master/rails/locale/de.yml#LC81
http://www.plan.io
https://www.redmine.org/issues/14148


I think, in general it's not correct, to use "Tagen", "Monaten", etc. as the regular x_days:other:, x_months:other: translations, because they're

"Akkusativ" (a grammatical case). Correct would be "Tage", "Monate", etc. which is Nominativ, i.e. the "regular" case.

However, since they are most prominently used in phrases where the Akkusativ should be used (e.g. "vor X Tagen" - "X days ago"), the practical

approach would be to keep things as they are and try to rework the few phrases/translations that don't use Akkusativ yet. So, I would propose:

-setting_autologin: Automatische Anmeldung

+setting_autologin: Automatische Anmeldung läuft ab nach

-label_roadmap_overdue: "%{value} verspätet" 

+label_roadmap_overdue: "seit %{value} verspätet"

 Please find a diff attached. Not sure if I missed any other translations. Maybe the other german-speaking contributors could weigh in on this? (I just

made them watchers...)

#6 - 2014-11-07 08:58 - Jan Niggemann (redmine.org team member)

+1 --> I second Jans proposal

#7 - 2014-11-10 23:51 - Toshi MARUYAMA

- Target version set to 3.0.0

#8 - 2014-11-28 08:33 - Jean-Philippe Lang

- Status changed from New to Closed

Files

14151.diff 1 KB 2014-11-04 Jan from Planio www.plan.io
